### Hierarchy

- CopyleaksConfig

## Index

### Constructors

- constructor

### Properties

- _API_SERVER_URI
- _IDENTITY_SERVER_URI
- _USER_AGENT

### Accessors

- API_SERVER_URI
- IDENTITY_SERVER_URI
- USER_AGENT

## Constructors

### constructor

- new CopyleaksConfig(): CopyleaksConfig

- #### Returns CopyleaksConfig

## Properties

### Static Private _API_SERVER_URI

_API_SERVER_URI: string = 'https://api.copyleaks.com'

- Defined in src/app.config.ts:26

### Static Private _IDENTITY_SERVER_URI

_IDENTITY_SERVER_URI: string = 'https://id.copyleaks.com'

- Defined in src/app.config.ts:27

### Static Private _USER_AGENT

_USER_AGENT: string = 'node-sdk/3.0'

- Defined in src/app.config.ts:28

## Accessors

### Static API_SERVER_URI

- get API_SERVER_URI(): string
- set API_SERVER_URI(url: string): void

- - Defined in src/app.config.ts:33

  #### Returns string

- - Defined in src/app.config.ts:30

  #### Parameters

  - ##### url: string

  #### Returns void

### Static IDENTITY_SERVER_URI

- get IDENTITY_SERVER_URI(): string
- set IDENTITY_SERVER_URI(url: string): void

- - Defined in src/app.config.ts:40

  #### Returns string

- - Defined in src/app.config.ts:37

  #### Parameters

  - ##### url: string

  #### Returns void

### Static USER_AGENT

- get USER_AGENT(): string

- - Defined in src/app.config.ts:44

  #### Returns string

Generated using TypeDoc